/[gentoo-x86]/www-apps/moodle/ChangeLog
Gentoo

Contents of /www-apps/moodle/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.55 - (show annotations) (download)
Thu Feb 13 15:02:11 2014 UTC (7 months ago) by blueness
Branch: MAIN
Changes since 1.54: +7 -1 lines
Version bump 2.6 branch

(Portage version: 2.2.7/cvs/Linux x86_64, signed Manifest commit with key 0xF52D4BBA)

1 # ChangeLog for www-apps/moodle
2 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/ChangeLog,v 1.54 2014/02/13 14:59:51 blueness Exp $
4
5 *moodle-2.6.1 (13 Feb 2014)
6
7 13 Feb 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.6.1.ebuild,
8 -moodle-2.6.ebuild:
9 Version bump 2.6 branch
10
11 13 Feb 2014; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.11.ebuild:
12 Remove legacy version
13
14 13 Feb 2014; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.10.ebuild,
15 -moodle-2.4.7.ebuild, -moodle-2.5.3.ebuild, -moodle-2.6.1.ebuild:
16 Cleanup vulnerable versions, bug #501192
17
18 *moodle-2.4.8 (12 Jan 2014)
19 *moodle-2.5.4 (12 Jan 2014)
20 *moodle-2.6.1 (12 Jan 2014)
21 *moodle-2.3.11 (12 Jan 2014)
22
23 12 Jan 2014; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.11.ebuild,
24 +moodle-2.4.8.ebuild, +moodle-2.5.4.ebuild, +moodle-2.6.1.ebuild:
25 Version bumps
26
27 *moodle-2.6 (27 Nov 2013)
28
29 27 Nov 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.6.ebuild:
30 Version bump 2.6 branch
31
32 12 Nov 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.9.ebuild,
33 -moodle-2.4.6.ebuild, -moodle-2.5.2.ebuild:
34 Remove older versions
35
36 *moodle-2.5.3 (10 Nov 2013)
37 *moodle-2.4.7 (10 Nov 2013)
38 *moodle-2.3.10 (10 Nov 2013)
39
40 10 Nov 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.10.ebuild,
41 +moodle-2.4.7.ebuild, +moodle-2.5.3.ebuild:
42 Version bumps
43
44 10 Sep 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.3.8.ebuild,
45 -moodle-2.4.5.ebuild, -moodle-2.5.1.ebuild:
46 Remove vulnerable versions, bug #484492
47
48 *moodle-2.3.9 (08 Sep 2013)
49 *moodle-2.5.2 (08 Sep 2013)
50 *moodle-2.4.6 (08 Sep 2013)
51
52 08 Sep 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.9.ebuild,
53 +moodle-2.4.6.ebuild, +moodle-2.5.2.ebuild, -moodle-2.2.11.ebuild:
54 Version bumps, remove deprecated 2.2 branch
55
56 28 Jul 2013; Anthony G. Basile <blueness@gentoo.org> moodle-2.5.1.ebuild:
57 Fix dependence on php, bug #478186
58
59 28 Jul 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.10.ebuild,
60 -moodle-2.3.7.ebuild, -moodle-2.4.4.ebuild, -moodle-2.5.ebuild:
61 Remove older vulnerable versions
62
63 *moodle-2.3.8 (07 Jul 2013)
64 *moodle-2.4.5 (07 Jul 2013)
65 *moodle-2.2.11 (07 Jul 2013)
66 *moodle-2.5.1 (07 Jul 2013)
67
68 07 Jul 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.11.ebuild,
69 +moodle-2.3.8.ebuild, +moodle-2.4.5.ebuild, +moodle-2.5.1.ebuild:
70 Version bumps
71
72 01 Jul 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.9.ebuild,
73 -moodle-2.3.6.ebuild, -moodle-2.4.3.ebuild:
74 Remove vulnerable versions, bug #470904
75
76 *moodle-2.2.10 (14 May 2013)
77 *moodle-2.4.4 (14 May 2013)
78 *moodle-2.5 (14 May 2013)
79 *moodle-2.3.7 (14 May 2013)
80
81 14 May 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.10.ebuild,
82 +moodle-2.3.7.ebuild, +moodle-2.4.4.ebuild, +moodle-2.5.ebuild:
83 Version bumps
84
85 26 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.7.ebuild,
86 -moodle-2.3.4.ebuild, -moodle-2.4.1.ebuild:
87 Remove older vulnerable versions, bug #463336
88
89 18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.8.ebuild,
90 -moodle-2.3.5.ebuild, -moodle-2.4.2.ebuild:
91 Remove version broken by regression
92
93 *moodle-2.2.9 (18 Mar 2013)
94 *moodle-2.4.3 (18 Mar 2013)
95 *moodle-2.3.6 (18 Mar 2013)
96
97 18 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.9.ebuild,
98 +moodle-2.3.6.ebuild, +moodle-2.4.3.ebuild:
99 Version bumps, fix major regression,
100 https://tracker.moodle.org/browse/MDL-38474
101
102 *moodle-2.4.2 (09 Mar 2013)
103 *moodle-2.3.5 (09 Mar 2013)
104 *moodle-2.2.8 (09 Mar 2013)
105
106 09 Mar 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.8.ebuild,
107 +moodle-2.3.5.ebuild, +moodle-2.4.2.ebuild:
108 Version bumps
109
110 27 Jan 2013; Anthony G. Basile <blueness@gentoo.org> -moodle-2.2.6.ebuild,
111 -moodle-2.3.3.ebuild, -moodle-2.4.ebuild:
112 Remove vulnerable versions, bug #454318
113
114 *moodle-2.2.7 (12 Jan 2013)
115 *moodle-2.3.4 (12 Jan 2013)
116 *moodle-2.4.1 (12 Jan 2013)
117
118 12 Jan 2013; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.7.ebuild,
119 +moodle-2.3.4.ebuild, +moodle-2.4.1.ebuild, -moodle-2.1.9.ebuild:
120 Version bumps
121
122 *moodle-2.4 (07 Dec 2012)
123
124 07 Dec 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.4.ebuild:
125 Version bump to new branch
126
127 15 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.8.ebuild,
128 -moodle-2.2.5.ebuild, -moodle-2.3.2.ebuild:
129 Remove vulnerable versions, bug #443102
130
131 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.19.ebuild,
132 -moodle-2.0.10.ebuild:
133 Remove older unsupported versions
134
135 *moodle-2.1.9 (10 Nov 2012)
136 *moodle-2.3.3 (10 Nov 2012)
137 *moodle-2.2.6 (10 Nov 2012)
138
139 10 Nov 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.9.ebuild,
140 +moodle-2.2.6.ebuild, +moodle-2.3.3.ebuild:
141 Version bumps
142
143 17 Sep 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-2.1.7.ebuild,
144 -moodle-2.2.4.ebuild, -moodle-2.3.1.ebuild:
145 Drop vulnerable versions, bug #435364
146
147 *moodle-2.3.2 (12 Sep 2012)
148 *moodle-2.2.5 (12 Sep 2012)
149 *moodle-2.1.8 (12 Sep 2012)
150
151 12 Sep 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.1.8.ebuild,
152 +moodle-2.2.5.ebuild, +moodle-2.3.2.ebuild:
153 Version bumps
154
155 24 Aug 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
156 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
157 moodle-2.3.1.ebuild:
158 Use REQUIRED_USE so at least one backend db is provided, bug #432354
159
160 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.19.ebuild,
161 moodle-2.0.10.ebuild, moodle-2.1.7.ebuild, moodle-2.2.4.ebuild,
162 moodle-2.3.1.ebuild:
163 Keyword ~mips
164
165 11 Jul 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.18.ebuild,
166 -moodle-2.0.9.ebuild, -moodle-2.1.6.ebuild, -moodle-2.2.3.ebuild,
167 -moodle-2.3.ebuild:
168 Punt older versions
169
170 *moodle-2.3.1 (06 Jul 2012)
171 *moodle-2.2.4 (06 Jul 2012)
172 *moodle-2.1.7 (06 Jul 2012)
173 *moodle-2.0.10 (06 Jul 2012)
174 *moodle-1.9.19 (06 Jul 2012)
175
176 06 Jul 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.19.ebuild,
177 +moodle-2.0.10.ebuild, +moodle-2.1.7.ebuild, +moodle-2.2.4.ebuild,
178 +moodle-2.3.1.ebuild:
179 Version bump
180
181 *moodle-2.3 (26 Jun 2012)
182
183 26 Jun 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.3.ebuild:
184 Version bump
185
186 23 May 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.17.ebuild,
187 -moodle-2.0.8.ebuild, -moodle-2.1.5.ebuild, -moodle-2.2.2.ebuild:
188 Punt vulnerable versions, bug #417217
189
190 *moodle-2.2.3 (16 May 2012)
191 *moodle-2.1.6 (16 May 2012)
192 *moodle-2.0.9 (16 May 2012)
193 *moodle-1.9.18 (16 May 2012)
194
195 16 May 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.18.ebuild,
196 +moodle-2.0.9.ebuild, +moodle-2.1.6.ebuild, +moodle-2.2.3.ebuild:
197 Version bump all branches
198
199 04 Apr 2012; Anthony G. Basile <blueness@gentoo.org>
200 -moodle-1.9.16-r1.ebuild, -moodle-2.0.7-r1.ebuild, -moodle-2.1.4-r1.ebuild,
201 -moodle-2.2.1-r1.ebuild:
202 Remove older vulnerable versions
203
204 *moodle-2.2.2 (12 Mar 2012)
205 *moodle-2.1.5 (12 Mar 2012)
206 *moodle-2.0.8 (12 Mar 2012)
207 *moodle-1.9.17 (12 Mar 2012)
208
209 12 Mar 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.17.ebuild,
210 +moodle-2.0.8.ebuild, +moodle-2.1.5.ebuild, +moodle-2.2.2.ebuild:
211 Version bumps
212
213 07 Mar 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.16.ebuild,
214 moodle-1.9.16-r1.ebuild, -moodle-2.0.7.ebuild, moodle-2.0.7-r1.ebuild,
215 -moodle-2.1.4.ebuild, moodle-2.1.4-r1.ebuild, -moodle-2.2.1.ebuild,
216 moodle-2.2.1-r1.ebuild:
217 Remove older versions depending on php with gd-external
218
219 *moodle-2.2.1-r1 (29 Jan 2012)
220 *moodle-2.1.4-r1 (29 Jan 2012)
221 *moodle-2.0.7-r1 (29 Jan 2012)
222 *moodle-1.9.16-r1 (29 Jan 2012)
223
224 29 Jan 2012; Anthony G. Basile <blueness@gentoo.org>
225 +moodle-1.9.16-r1.ebuild, +moodle-2.0.7-r1.ebuild, +moodle-2.1.4-r1.ebuild,
226 +moodle-2.2.1-r1.ebuild:
227 Remove gd-external, fix depend on >=php5.3* for moodle 2.1* and 2.2*,
228 add session to PHP_REQUIRED_FLAGS_*, bug #400853
229
230 14 Jan 2012; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.15.ebuild,
231 -moodle-2.0.6.ebuild, -moodle-2.1.3.ebuild:
232 Removed vulnerable versions
233
234 *moodle-2.2.1 (08 Jan 2012)
235
236 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-2.2.1.ebuild:
237 Added ebuild for the 2.2 branch
238
239 *moodle-2.1.4 (08 Jan 2012)
240 *moodle-2.0.7 (08 Jan 2012)
241 *moodle-1.9.16 (08 Jan 2012)
242
243 08 Jan 2012; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.16.ebuild,
244 +moodle-2.0.7.ebuild, +moodle-2.1.4.ebuild:
245 Version bumps
246
247 07 Dec 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.14.ebuild,
248 -moodle-2.0.5.ebuild, -moodle-2.1.2.ebuild:
249 Removed vulnerable versions, bug #393475
250
251 *moodle-2.1.3 (29 Nov 2011)
252 *moodle-2.0.6 (29 Nov 2011)
253 *moodle-1.9.15 (29 Nov 2011)
254
255 29 Nov 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.15.ebuild,
256 +moodle-2.0.6.ebuild, +moodle-2.1.3.ebuild:
257 Version bumps
258
259 19 Oct 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.13.ebuild,
260 -moodle-2.0.4.ebuild, -moodle-2.1.1.ebuild:
261 Remove deprecated versions
262
263 *moodle-2.1.2 (09 Oct 2011)
264 *moodle-2.0.5 (09 Oct 2011)
265 *moodle-1.9.14 (09 Oct 2011)
266
267 09 Oct 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.14.ebuild,
268 +moodle-2.0.5.ebuild, +moodle-2.1.2.ebuild:
269 Version bumps
270
271 18 Aug 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.12.ebuild,
272 -moodle-2.0.3.ebuild, -moodle-2.1.ebuild:
273 Removed decprecated versions
274
275 *moodle-2.1.1 (02 Aug 2011)
276 *moodle-2.0.4 (02 Aug 2011)
277 *moodle-1.9.13 (02 Aug 2011)
278
279 02 Aug 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.13.ebuild,
280 +moodle-2.0.4.ebuild, +moodle-2.1.1.ebuild:
281 Version bumps
282
283 12 Jul 2011; Anthony G. Basile <blueness@gentoo.org> moodle-1.9.12.ebuild,
284 moodle-2.0.3.ebuild, moodle-2.1.ebuild:
285 Make moodle depend on either php[gd] or php[gd-external], bug #374605
286
287 *moodle-2.1 (09 Jul 2011)
288
289 09 Jul 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.11.ebuild,
290 -moodle-2.0.2.ebuild, +moodle-2.1.ebuild:
291 Version bump, removed depcreated
292
293 *moodle-2.0.3 (11 May 2011)
294 *moodle-1.9.12 (11 May 2011)
295
296 11 May 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.12.ebuild,
297 +moodle-2.0.3.ebuild:
298 Version bumps address several security issues.
299 See http://docs.moodle.org/en/Moodle_1.9.12_release_notes
300 and http://docs.moodle.org/en/Moodle_2.0.3_release_notes
301
302 10 Mar 2011; Anthony G. Basile <blueness@gentoo.org> -moodle-1.9.9.ebuild,
303 -moodle-1.9.9-r1.ebuild, -moodle-1.9.10.ebuild, -moodle-2.0.1.ebuild:
304 Removed decprecated versions, bug #353431
305
306 *moodle-2.0.2 (22 Feb 2011)
307 *moodle-1.9.11 (22 Feb 2011)
308
309 22 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
310 +moodle-1.9.11.ebuild, +moodle-2.0.2.ebuild, files/postinstall-en.txt:
311 Version bumps.
312
313 *moodle-2.0.1 (08 Jan 2011)
314
315 08 Jan 2011; Anthony G. Basile <blueness@gentoo.org> +moodle-2.0.1.ebuild:
316 Version bump
317
318 *moodle-1.9.10 (29 Oct 2010)
319
320 29 Oct 2010; Anthony G. Basile <blueness@gentoo.org>
321 +moodle-1.9.10.ebuild:
322 Version bump
323
324 *moodle-1.9.9-r1 (13 Aug 2010)
325
326 13 Aug 2010; Anthony G. Basile <blueness@gentoo.org>
327 +moodle-1.9.9-r1.ebuild, files/postinstall-en.txt:
328 Ported to EAPI 2 USE deps. Bug #332165
329
330 *moodle-1.9.9 (19 Jul 2010)
331
332 19 Jul 2010; Anthony G. Basile <blueness@gentoo.org> +moodle-1.9.9.ebuild,
333 +files/config.php, +files/postinstall-en.txt,
334 +files/postinstall-nodb-en.txt, +metadata.xml:
335 New ebuild by Anthony G. Basile. Bug #104275

  ViewVC Help
Powered by ViewVC 1.1.20